# GenerateEclipseWtpComponent

API Documentation: | `GenerateEclipseWtpComponent`

Generates the org.eclipse.wst.common.component settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseWtpComponent`.

### Properties

Property | Description
`component` | The Eclipse WTP component model that contains details required to generate the settings file.
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `EclipseWtpComponent` `component`

The Eclipse WTP component model that contains details required to generate the settings file.

Default with `eclipse-wtp` and `war` or `ear` plugins:
  `project.eclipse.wtp.component`

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.